net.corda.node.services.network

## Class WireNodeRegistration

- net.corda.core.crypto.SignedData<T>
- - net.corda.node.services.network.WireNodeRegistration

-     public class WireNodeRegistration
      extends SignedData<T>

  A node registration and its signature as a pair.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WireNodeRegistration(SerializedBytes<net.corda.node.services.network.NodeRegistration> raw, DigitalSignature.WithKey sig)` A node registration and its signature as a pair.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `verifyData(NodeRegistration data)` Verify the wrapped data after the signature has been verified and the data deserialised. Provided as an extension point for subclasses.

    - ### Methods inherited from class net.corda.core.crypto.SignedData

      `getRaw, getSig, verified, verifyData`

- - ### Constructor Detail

    - #### WireNodeRegistration

          public WireNodeRegistration(SerializedBytes<net.corda.node.services.network.NodeRegistration> raw,
                                      DigitalSignature.WithKey sig)

      A node registration and its signature as a pair.

  - ### Method Detail

    - #### verifyData

          public void verifyData(NodeRegistration data)

      Verify the wrapped data after the signature has been verified and the data deserialised. Provided as an extension point for subclasses.

      Throws:
        - if the data is invalid.